Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
PUTBackup Service OperationsSince 2.6.0SynchronousAuth Required

RecoverBackupFromImageStoreBackupStorage

RecoverBackupFromImageStoreBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the volume backup.

Body Fields

  • recoverbackupfromimagestorebackupstorageObjectRequired

    recoverbackupfromimagestorebackupstorage request body object.

    • srcBackupStorageUuidStringRequired

      The UUID of the source backup storage.

    • dstBackupStorageUuidStringRequired

      The UUID of the destination backup storage.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The system tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVolumeBackupInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the volume backup.

    • volumeUuidStringRequired

      The UUID of the volume.

    • nameStringRequired

      The name of the volume backup.

    • descriptionStringRequired

      The detailed description of the backup.

    • typeStringRequired

      The type of the volume.

    • stateStringRequired

      The status of the backup.

    • statusStringRequired

      The availability status of the backup.

    • sizeLongRequired

      The size of the backup.

    • metadataStringRequired

      The metadata of the backup.

    • createDateTimestampRequired

      The time when the backup was created.

    • lastOpDateTimestampRequired

      The time when the backup was last modified.

    • backupStorageRefsListRequired

      See backupStorageRefs

      • volumeBackupUuidStringRequired

        The UUID of the volume backup.

      • backupStorageUuidStringRequired

        The UUID of the backup storage.

      • installPathStringRequired

        The storage path of the backup.

      • statusStringRequired

        The status of the backup in the backup storage.

      • createDateTimestampRequired

        The time when the backup was created.

      • lastOpDateTimestampRequired

        The time when the backup was last modified.

Endpoint

PUT/zstack/v1/volume-backups/{uuid}/actions

/zstack/v1/volume-backups/{uuid}/actions

Operation ID

RecoverBackupFromImageStoreBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/volume-backups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"recoverbackupfromimagestorebackupstorage":{"srcBackupStorageUuid":"<srcBackupStorageUuid>","dstBackupStorageUuid":"<dstBackupStorageUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "db84847f4bd13c3399a45241a722ce80", "volumeUuid": "b91250390732348689211459223892f0", "name": "Backup-1", "description": "volume backup", "size": 1.073741824E9, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history